Bug 222033 - sysutils/zeitgeist: unbreak build with vala 0.36, minor fixes
Summary: sysutils/zeitgeist: unbreak build with vala 0.36, minor fixes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Koop Mast
URL:
Keywords:
Depends on:
Blocks: 221941
  Show dependency treegraph
 
Reported: 2017-09-03 19:35 UTC by Carlos J. Puga Medina
Modified: 2018-01-24 07:24 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (kwm)


Attachments
patch (2.19 KB, patch)
2017-09-03 19:35 UTC, Carlos J. Puga Medina
no flags Details | Diff
patch (3.87 KB, patch)
2017-10-28 16:22 UTC, Carlos J. Puga Medina
cpm: maintainer-approval? (kwm)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J. Puga Medina freebsd_committer 2017-09-03 19:35:43 UTC
Created attachment 186038 [details]
patch

gmake[3]: Entering directory '/wrkdirs/usr/ports/sysutils/zeitgeist/work/zeitgeist-0.9.16/libzeitgeist'
/usr/local/bin/valac \
	--target-glib=2.36 --pkg gio-2.0 --pkg gio-unix-2.0 --pkg sqlite3 ../config.vapi -C   --vapi zeitgeist-datamodel-2.0.vapi -H zeitgeist-datamodel.h --library zeitgeist-2.0  \
	data-source.vala errors.vala mimetype.vala enumerations.vala event.vala subject.vala timerange.vala timestamp.vala ontology-uris.vala ontology.vala result-set.vala simple-result-set.vala utils.vala
timestamp.vala:79.34-79.40: error: The symbol `timeval' could not be found
        var m_seconds = (int64) (timeval.tv_sec) * 1000;
                                 ^^^^^^^
Compilation failed: 1 error(s), 0 warning(s)

build log: http://package23.nyi.freebsd.org/data/110i386-default-PR221941/2017-08-31_07h56m24s/logs/zeitgeist-0.9.16.log
Comment 1 Carlos J. Puga Medina freebsd_committer 2017-10-28 16:22:04 UTC
Created attachment 187540 [details]
patch

- Add USE_LDCONFIG
- Add TIMESTAMP
- Fix build with vala 0.36
- Update WWW in pkg-descr
- Pet portlint
Comment 2 commit-hook freebsd_committer 2018-01-24 07:20:37 UTC
A commit references this bug:

Author: truckman
Date: Wed Jan 24 07:20:11 UTC 2018
New revision: 459819
URL: https://svnweb.freebsd.org/changeset/ports/459819

Log:
  Add USE_LDCONFIG

  Add TIMESTAMP

  Fix build with vala 0.36

  Update WWW in pkg-descr

  Pet portlint

  PR:		222033, 221941
  Submitted by:	cpm
  Approved by:	maintainer timeout (13 weeks)

Changes:
  head/sysutils/zeitgeist/Makefile
  head/sysutils/zeitgeist/distinfo
  head/sysutils/zeitgeist/files/
  head/sysutils/zeitgeist/files/patch-libzeitgeist_timestamp.vala
  head/sysutils/zeitgeist/files/patch-libzeitgeist_where-clause.vala
  head/sysutils/zeitgeist/pkg-descr